# MCS_Reason Class Reference

`#include <mcs.h>`

List of all members.

## Public Types

enum | Enumerations { e_rn_domain_disconnected, e_rn_provider_initiated, e_rn_token_purged, e_rn_user_requested, e_rn_channel_purged }

## Public Member Functions

| MCS_Reason (unsigned tag=UniversalEnumeration, TagClass tagClass=UniversalTagClass)
MCS_Reason & | operator= (unsigned v)
PObject * | Clone () const

## Member Enumeration Documentation

enum MCS_Reason::Enumerations

Enumerator:

  e_rn_domain_disconnected |
  e_rn_provider_initiated |
  e_rn_token_purged |
  e_rn_user_requested |
  e_rn_channel_purged |

## Constructor & Destructor Documentation

MCS_Reason::MCS_Reason | ( | unsigned | tag = `UniversalEnumeration`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

MCS_Reason& MCS_Reason::operator= | ( | unsigned | v | ) |

PObject* MCS_Reason::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- mcs.h